## com.google.appengine.api.images
Class ImagesServiceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.images.ImagesServiceFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class ImagesServiceFailureException

extends java.lang.RuntimeException

`ImagesServiceFailureException` is thrown when any unknown error occurs while communicating with the images service.

See Also:
  Serialized Form

Constructor Summary
`ImagesServiceFailureException(java.lang.String message)` Creates an exception with the supplied message.
`ImagesServiceFailureException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImagesServiceFailureException

    public ImagesServiceFailureException(java.lang.String message)

  Creates an exception with the supplied message.

  Parameters:
    `message` - A message describing the reason for the exception.

### ImagesServiceFailureException

    public ImagesServiceFailureException(java.lang.String message,
                                         java.lang.Throwable cause)